import { Controller, Get } from "@nestjs/common"
import { AppService } from "./app.service"

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  // Async "Hello, World" for cloud-scale enterprise performance!
  @Get()
  async getHello(): Promise<string> {
    return this.appService.getHello()
  }
}
