import { Injectable } from "@nestjs/common"
import { ProjectModel } from "@bryntum/schedulerpro"

@Injectable()
export class AppService {
  async getHello(): Promise<string> {
    const scheduler = new ProjectModel({
      events: [
        {
          id: "id1",
          name: "my event",
          duration: 1200,
          durationUnit: "second",
          unscheduled: true,
        },
      ],
    })
    await scheduler.commitAsync()
    return "Hello World!"
  }
}
